resources:
  - https://github.com/stefanprodan/podinfo//kustomize?ref=master

patches:
  - path: patch.deployment.yaml
  - target:
      kind: Deployment
      name: podinfo
    patch: |
      - op: replace
        path: /spec/template/spec/containers/0/command
        value:
          - ./podinfo
          - --port=9898
          - --port-metrics=9797
          - --grpc-port=9999
          - --grpc-service-name=podinfo
          - --level=debug
          - --random-delay=false
          - --random-error=false
          - --otel-service-name=podinfo